﻿//-----------------------------------------------------------------------
// <copyright file="DuplicateFinderTester.cs" company="Anthony Steele">
// This source forms part of the DuplicateFinder utility
// Hosted at http://www.codeplex.com/DuplicateFinder
//
// This source is available under the terms of the Microsoft Public License (Ms-PL)
// See http://duplicatefinder.codeplex.com/license
// All other rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace DuplicateFinder.TestLibrary
{
    using DuplicateFinderLib;

    /// <summary>
    /// wrapper class to record numbers 
    /// on what a file duplicate finder does when it runs
    /// </summary>
    public class DuplicateFinderTester : BaseDuplicateFinderTester
    {
        #region private data

        /// <summary>
        /// The object under test
        /// </summary>
        private readonly DuplicateFinderEngine process;

        #endregion

        #region constructor

        /// <summary>
        /// Initializes a new instance of the DuplicateFinderTester class
        /// </summary>
        public DuplicateFinderTester()
        {
            this.process = new DuplicateFinderEngine();
            this.process.OnDuplicate += this.OnDuplicateHandler;
        }

        #endregion

        #region properties

        /// <summary>
        /// Gets the object under test
        /// </summary>
        public DuplicateFinderEngine Process
        {
            get { return this.process; }
        }

        #endregion
    }
}
