//-----------------------------------------------------------------------
// <copyright file="TestUtils.cs" company="Anthony Steele">
// This source forms part of the DuplicateFinder utility
// Hosted at http://www.codeplex.com/DuplicateFinder
//
// This source is available under the terms of the Microsoft Public License (Ms-PL)
// See http://duplicatefinder.codeplex.com/license
// All other rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace DuplicateFinder.TestLibrary
{
    using System;
    using System.IO;
    
    /// <summary>
    /// Utility methods for testing
    /// </summary>
    public static class TestUtils
    {
        #region data

        /// <summary>
        /// relative path to test data folder
        /// </summary>
        private const string TestFilesRoot = @"..\..\..\TestData\";

        #endregion

        #region worker procs

        /// <summary>
        /// Get the full path to the test data fiolder
        /// </summary>
        /// <returns>a path string</returns>
        public static string FullTestFilePath()
        {
            string currentPath = AppDomain.CurrentDomain.BaseDirectory;
            string relativePath = Path.Combine(currentPath, TestFilesRoot);

            return relativePath;
        }
        #endregion
    }
}
